org.appng.xml.platform

## Class Linkpanel

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Linkpanel

- All Implemented Interfaces:
    Serializable

      public class Linkpanel
      extends BaseObject
      implements Serializable

  A `Linkpanel` defines a set of `Link`s which are being displayed on the given `PanelLocation`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Condition` | `condition`
    `protected String` | `id`
    `protected List<Linkable>` | `links`
    `protected PanelLocation` | `location`
    `protected Permissions` | `permissions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Linkpanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Condition` | `getCondition()` Gets the value of the condition property.
    `String` | `getId()` The unique id of this Linkpanel
    `List<Linkable>` | `getLinks()` Gets the value of the links property.
    `PanelLocation` | `getLocation()` Defines the location of this Linkpanel.
    `Permissions` | `getPermissions()` Gets the value of the permissions property.
    `void` | `setCondition(Condition value)` Sets the value of the condition property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setLocation(PanelLocation value)` Sets the value of the location property.
    `void` | `setPermissions(Permissions value)` Sets the value of the permissions property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### condition

          protected Condition condition

    - #### permissions

          protected Permissions permissions

    - #### links

          protected List<Linkable> links

    - #### id

          protected String id

    - #### location

          protected PanelLocation location

  - ### Constructor Detail

    - #### Linkpanel

          public Linkpanel()

  - ### Method Detail

    - #### getCondition

          public Condition getCondition()

      Gets the value of the condition property.
      Returns:
        possible object is `Condition`

    - #### setCondition

          public void setCondition(Condition value)

      Sets the value of the condition property.
      Parameters:
        `value` - allowed object is `Condition`

    - #### getPermissions

          public Permissions getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `Permissions`

    - #### setPermissions

          public void setPermissions(Permissions value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `Permissions`

    - #### getLinks

          public List<Linkable> getLinks()

      Gets the value of the links property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the links property.

      For example, to add a new item, do as follows:

              getLinks().add(newItem);

      Objects of the following type(s) are allowed in the list `Link` `OpenapiAction`

    - #### getId

          public String getId()

      The unique id of this Linkpanel
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLocation

          public PanelLocation getLocation()

      Defines the location of this Linkpanel.
      Returns:
        possible object is `PanelLocation`

    - #### setLocation

          public void setLocation(PanelLocation value)

      Sets the value of the location property.
      Parameters:
        `value` - allowed object is `PanelLocation`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.